# --------------------------------------------------------------------------
# Copyright 2010, C12G Labs S.L.
#
# This file is part of OpenNebula VMware Drivers.
#
# OpenNebula VMware Drivers is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of
# the License, or the hope That it will be useful, but (at your
# option) any later version.
#
# OpenNebula VMware Drivers is distributed in WITHOUT ANY WARRANTY;
# without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License
# along with OpenNebula VMware Drivers . If not, see
# <http://www.gnu.org/licenses/>
# --------------------------------------------------------------------------

# ---------------------------------------------------------------------------- #
# Set up the environment for the driver                                        #
# ---------------------------------------------------------------------------- #

#ONE_LOCATION = ENV["ONE_LOCATION"]

if !ONE_LOCATION
#    RUBY_LIB_LOCATION = "/usr/lib/one/ruby"
    ETC_LOCATION      = "/etc/one/"
    BIN_LOCATION      = "/usr/bin"
else
#    RUBY_LIB_LOCATION = ONE_LOCATION + "/lib/ruby"
    ETC_LOCATION      = ONE_LOCATION + "/etc/"
    BIN_LOCATION      = ONE_LOCATION + "/bin"
end

$: << RUBY_LIB_LOCATION

require "OpenNebulaDriver"
require "CommandManager"

# Do host sustitution in the libvirt URI 
LIBVIRT_URI.gsub!('@HOST@', @host)

# Common functions
def perform_action(command)    
    command = BIN_LOCATION + "/tty_expect -u " + USERNAME + " -p " + PASSWORD + " " + command
    
    action_result = LocalCommand.run(command)

    if action_result.code == 0
        return action_result.stdout    
    else
        log(command, action_result.stderr, action_result.stdout)
        return action_result.code
    end
end

def log(cmd, stdout, stderr)
    STDERR.puts "[VMWARE] cmd failed [" + cmd + 
                "]. Stderr: " + stderr + ". Stdout: " + stdout
end
